Subject: [regext] RFC 7482 (Query Format) Implementation Status?

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 24 Sep 2019 16:40:02 +0000

I'm starting to work on an Internet-Draft that will hopefully become 7482-bis. The intention is to document only clarifications and address known errata with the goal of publication at the next level of the Standards Track, Internet Standard. Known errata can be found here:

https://www.rfc-editor.org/errata_search.php?rfc=7482

Progression to Internet Standard status (RFC 6410) requires documentation of two independently developed interoperable implementations. To that end, I've also been talking to Marc and Andy about updates to RFCs 7483 and 7484; more on them later. I'd like to add text to the proto-7482-bis to describe implementations of the query formats described in 7482, so if you've developed an RDAP client I'd like to ask for your help if capturing some information to describe your implementation. The template to be filled out is described in Section 2 of RFC 7492. I'll repeat it here:

 -  The organization responsible for the implementation, if any.

-  The implementation's name and/or a link to a web page where the implementation or a description of it can be found.

-  A brief general description.

-  The implementation's level of maturity: research, prototype, alpha, beta, production, widely used, etc.

-  Coverage: which parts of the protocol specification are implemented.

-  Version compatibility: what version/versions of the Internet-Draft are known to be implemented.

-  Licensing: the terms under which the implementation can be used. For example: proprietary, royalty licensing, freely distributable with acknowledgement (BSD style), freely distributable with requirement to redistribute source (General Public License (GPL) style), and other (specify).

-  Implementation experience: any useful information the implementers want to share with the community.

-  Contact information: ideally a person's name and email address, but possibly just a URL or mailing list.

-  The date when information about this particular implementation was last updated.

Have you implemented a client that supports the document query formats? Are you willing to document your experience? If so, please help by filling out a template. Feel free to share your completed templates on-list or with me privately via email and I'll make sure to get them into the draft.

Scott